{% extends 'base.html.twig' %}

{% block stylesheets %}

    <style>
        @import url('https://fonts.googleapis.com/css2?family=Roboto&family=Squada+One&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Work+Sans:wght@200;400&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap');
        @import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@500&display=swap');

        *, ::after, ::before {
            box-sizing: border-box;
        }

        html {
            background-color: #0a0717;
        }

        body {
            width: 100vw;
            height: 100vh;
            margin: 0;
            font-family: 'Roboto', sans-serif;
            overflow: hidden;
            background: radial-gradient(
                    circle,
                    rgba(10, 7, 23, 0.12648809523809523) 0%,
                    rgba(10, 7, 23, 0.4906337535014006) 31%,
                    rgba(10, 7, 23, 1) 78%),
            url('https://cdn.discordapp.com/attachments/775414438924779570/776183635342393354/fixe.png') no-repeat;
            background-size: contain;
            background-position: center 300px;
            box-shadow: inset 00px -10px 100px 100px #0a0717;
        }

        #main-center {
            position: relative;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -60%);
            width: 800px;
            background: #f7f7f7;
            height: 500px;
            border-radius: 15px;
            box-shadow: 15px 15px #898989;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

        #form-header {
            width: 35%;
            background: #1E1C26;
            border-radius: 20px 20px 0 0;
            display: flex;
            letter-spacing: 1.2px;
            font-weight: bold;
            color: white;
            text-transform: uppercase;
            text-align: center;
            justify-content: center;
            position: absolute;
            top: -50px;
            padding: 15px 0;
        }

        #container-page1 {
            width: 90%;
            height: 85%;
            display: flex;
            flex-direction: row;
            margin-top: 30px;
        }

        #left-page1 {
            width: 50%;
            height: 100%;
        }

        #skin-gender-selector-container {
            width: 40px;
            height: 100px;
            position: absolute;
            top: 80px;
            color: white;
            left: 289px;
            z-index: 1;
            transform: translateX(-50%);
            border-radius: 8px 8px 0 0;
            text-align: center;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1.5px;
        }

        #skin-gender-selector-container button {
            width: 35px;
            height: 35px;
            border-radius: 10px;
            margin: 1px;
            background: #1E1C26;
            color: white;
            outline: none;
            border: 0;
            transition: all 0.2s;
        }

        #skin-gender-selector-container button:hover {
            background: #24222d;
        }

        .gender-active {
            filter: brightness(0) invert(1);
        }

        .gender-nonactive {
            filter: invert(63%) sepia(11%) saturate(7%) hue-rotate(4deg) brightness(91%) contrast(88%);
        }

        #skin-selector-container {
            width: 250px;
            height: 100%;
            padding-bottom: 12px;
            background: #1E1C26;
            border-radius: 15px;
            display: flex;
            justify-content: center;
            position: relative;
            flex-direction: column;
            align-items: center;
        }

        #skin-selector-header {
            width: 130px;
            position: absolute;
            top: -20px;
            background: #1E1C26;
            color: white;
            padding: 5px;
            left: 50%;
            transform: translateX(-50%);
            border-radius: 8px 8px 0 0;
            text-align: center;
            font-weight: bold;
            text-transform: uppercase;
            letter-spacing: 1.5px;
        }

        #skin-gender-selector-container {
            width: 40px;
            height: 100px;
            position: absolute;
            top: 80px;
            color: white;
            left: 289px;
            z-index: 1;
            transform: translateX(-50%);
            border-radius: 8px 8px 0 0;
            text-align: center;
            font-weight: bold;
            text-transform: uppercase;
            letter-spacing: 1.5px;
        }

        #skin-gender-selector-container button {
            width: 35px;
            height: 35px;
            border-radius: 10px;
            margin: 1px;
            background: #1E1C26;
            color: white;
            outline: none;
            border: 0;
            transition: all 0.2s;
        }

        #skin-gender-selector-container button:hover {
            background: #24222d;
        }

        #skin-selector-skin {
            height: 80%;
            margin-top: 20px;
            display: flex;
            justify-content: center;
            background: url('https://cdn.discordapp.com/attachments/775414438924779570/776187008518979614/plateform.png') no-repeat;
            background-size: 120px;
            background-position: center 200px;
            position: relative;
            animation: float 6s ease-in-out infinite;
        }

        .skin-selector-switch {
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #skin-selector-preview {
            width: 120px;
            height: 77%;
        }

        .skin-circle-selector {
            width: 40px;
            height: 40px;
            border-radius: 40px;
            background: rgb(255 255 255 / 49%);
            display: flex;
            justify-content: center;
            align-items: center;
            color: #1e1c26;
            font-weight: bold;
            font-size: 20px;
            cursor: pointer;
            user-select: none;
        }

        .gender-selection:hover {
            cursor: pointer;
        }

        .skin-circle-selector:hover {
            background: rgb(255 255 255 / 62%);
            cursor: pointer;
            transition: all 0.2s;
        }

        .button-shop {
            width: 130px;
            height: 30px;
            background: white url('/public/assets/images/form/gold.jpg') no-repeat;
            background-position: -20px -20px;
            border-radius: 10px;
            background-size: 300px;
            justify-content: center;
            color: #1e1c26;
            align-items: center;
            cursor: pointer;
            display: flex;
            text-transform: uppercase;
            font-weight: bolder;
            font-family: 'Work Sans', sans-serif;
            transition: all 0.2s;
        }

        .button-shop:hover {
            color: #1e1c26;
            transition: all 0.2s;
        }

        .gratuit {
            background: #e0e0e0;
            cursor: default;
        }

        .button-shop:hover {
            color: #1e1c26;
            transition: all 0.2s;
        }

        #right-page1 {
            width: 60%;
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        #welcome-title {
            padding: 20px 0;
            width: 200px;
            height: 100px;
            text-align: center;
            justify-content: center;
            display: flex;
            text-transform: uppercase;
            flex-direction: column;
            margin-top: 20px;
            color: #1e1c26;
        }

        #welcome-title h1 {
            font-size: 35px;
            font-weight: bolder;
            letter-spacing: 1px;
            margin-bottom: 10px;
        }

        #welcome-title h2 {
            font-size: 14px;
            letter-spacing: 1px;
            font-weight: bold;
            color: #6d6d6d;
            margin: 0 0 30px 0;
        }

        #right-page h1 {
            font-size: 14px;
        }

        #input-pseudo {
            width: 100%;
            height: 50px;
            margin-top: 40px;
            text-align: center;
            justify-content: center;
            display: flex;
            text-transform: uppercase;
            padding: 0 10px;
        }

        #input-pseudo input {
            width: 90%;
            background: #1E1C26;
            border-radius: 15px;
            outline: none;
            border: 0;
            color: white;
            padding: 30px 40px;
            text-align: center;
            text-transform: uppercase;
        }

        #input-pseudo input::placeholder {
            color: #c5c5c5;
        }

        #nav-bar-page1 {
            width: 100%;
            height: 90%;
            display: flex;
            align-items: center;
            justify-content: center;

        }

        #nav-bar-bottom {
            width: 100%;
            height: 50px;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .nav-bar-button {
            margin: 20px;
            padding: 20px;
            width: 200px;
            height: 50px;
            background: #1E1C26;
            outline: none;
            border: 0;
            border-radius: 10px;
            display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            color: white;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1px;
            font-size: 14px;
            transition: all 0.2s;
        }

        .nav-bar-button:hover {
            background: #36343e;
            cursor: pointer;
        }

        #container-page2 {
            width: 90%;
            height: 85%;
            display: none;
            flex-direction: column;
            align-items: center;
        }

        #page2-title {
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            font-size: 25px;
            text-transform: uppercase;
            letter-spacing: 1px;
            font-family: 'Ubuntu', sans-serif;
        }

        #page2-undertitle {
            width: 100%;
            font-size: 12px;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            font-weight: bold;
            letter-spacing: 1px;
            text-transform: uppercase;

        }

        #page2-button-container {
            width: 100%;
            height: 50px;
            margin-top: 20px;
            flex-direction: row;
            display: flex;
            justify-content: center;
            text-align: center;
        }

        .page2-button-title {
            width: 100%;
            display: flex;
            justify-content: center;
            text-transform: uppercase;
            font-weight: bold;
            letter-spacing: 1.5px;
        }

        .button-game-type {
            width: 250px;
            height: 300px;
            background: #1e1c26;
            margin: 20px;
            border-radius: 10px;
            cursor: pointer;
            transition: all 0.2s;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            color: white;
            padding: 20px;
            font-family: 'Ubuntu', sans-serif;
        }

        .button-game-desc {
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: flex-end;
            font-size: 11px;
            color: white;

        }

        .quick {
            background: url('https://cdn.discordapp.com/attachments/775414438924779570/776194733168525312/eclaire-start.gif') no-repeat;
            background-size: 100px;
            background-position: center 20px;
        }

        .editgame {
            background: url('https://cdn.discordapp.com/attachments/775414438924779570/776194711999348766/tete-start.gif') no-repeat;
            background-size: 100px;
            background-position: center 20px;
        }

        .perso:hover {
            box-shadow: 5px 5px #898989;
            color: #ffba6f;

        }

        .rapide:hover {
            box-shadow: 5px 5px #898989;
            color: #4da7ff;
        }

        #left-page3 {
            width: 50%;
            height: 100%;
        }

        #right-page3 {
            width: 60%;
            height: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        #container-page3 {
            width: 90%;
            height: 85%;
            display: none;
            flex-direction: row;
            margin-top: 30px;
        }

        #nav-bar-bottom3 {
            width: 100%;
            height: 100%;
            display: flex;
            align-items: flex-end;
            align-self: flex-end;
            justify-content: center;
        }

        #container-old-word {
            width: 200px;
            height: 250px;
            padding: 16px;
            background: rgb(31 31 46);
            border-radius: 10px;
            color: white;
            text-align: center;
            cursor: default;
        }

        #skin-face-old-world {
            width: 200px;
            height: 180px;
            display: flex;
            justify-content: center;
            align-items: center;
            overflow: hidden;
            position: relative;


        }

        #skin-face-old-world img {
            width: 80%;
            top: -20px;
            display: flex;
            position: absolute;


        }

        #shadow-white {
            width: 200px;
            height: 180px;

            box-shadow: inset 0px -70px 30px 5px #f7f7f7;
            z-index: 1;
        }

        #oldword {
            margin-top: 7px;
            width: 100%;
            text-align: left;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
            font-size: 14px;


        }

        #oldword p {
            margin: 0;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }

        #oldword span.tourtitle {
            font-weight: bold;
            color: #7e5efd;
        }

        #oldword span.tourword {
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
        }

        #titlepopup {
            width: 100%;
            text-transform: uppercase;
            font-weight: bold;
            font-size: 17px;
            padding-bottom: 5px;
            border-bottom: solid 2px white;
        }

        #nb-mots-title {
            font-size: 20px;
            text-align: center;

        }

        #nb-mots-title p {
            font-size: 13px;
        }

        .range-tours {
            width: 100%;
            margin-top: 20px;
        }

        .range-tours {
            -webkit-appearance: none;
            width: 100%;
            height: 15px;
            border-radius: 5px;
            background: #d3d3d3;
            outline: none;
            opacity: 0.7;
            -webkit-transition: .2s;
            transition: opacity .2s;
        }

        .range-tours::-webkit-slider-thumb {
            -webkit-appearance: none;
            appearance: none;
            width: 25px;
            height: 25px;
            border-radius: 50%;
            background: #1E1C26;
            cursor: pointer;
        }

        .range-tours::-moz-range-thumb {
            width: 25px;
            height: 25px;
            border-radius: 50%;
            background: #1E1C26;
            cursor: pointer;
        }

        #container-page4 {
            width: 90%;
            height: 85%;
            display: none;
            margin-top: 20px;
            align-items: center;
            justify-content: center;
            flex-direction: column;
        }

        #nav-bar-bottom4 {
            width: 100%;
            height: 100%;
            display: flex;
            align-items: flex-end;
            align-self: flex-end;
            justify-content: center;
        }

        #nav-bar-bottom4 button {
            cursor: pointer;
        }

        button {
            outline: none;
        }

        #page4-numbermax-container {
            width: 100%;
            display: flex;
            justify-content: center;
            text-transform: uppercase;
            flex-direction: column;
            align-items: center;
        }

        #page4-numbermax-rolmax {
            width: 130px;
            height: 130px;
            border-radius: 130px;
            background: #1e1c26;
            display: flex;
            align-items: center;
            justify-content: center;
            overflow: hidden;
            border: solid 8px #2f2d38;
            box-shadow: inset -1px 12px 20px 0 #17161b;
        }

        #page4-numbermax-rolmax img {
            width: 110px;
            margin-top: 80px;
        }

        #shadow-black {
            width: 130px;
            height: 130px;
            border-radius: 100px;
            position: absolute;
            box-shadow: inset 0 -10px 20px 0 #17161b;
        }

        #page4-numbermax-rolmax-title {
            width: 100px;
            height: 30px;
            font-size: 13px;
            margin-top: -10px;
            z-index: 1;
            color: white;
            border-radius: 10px;
            padding: 10px;
            background: #1e1c26;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: default;
        }

        #page4-container-role {
            width: 100%;
            display: flex;
            justify-content: space-around;
            padding: 30px 40px;
        }

        .page4-role-container-tab {
            width: 200px;
            height: 100px;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .page4-role {
            width: 200px;
            height: 100px;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
        }

        .page4-role-container-pretab {
            font-weight: bold;
            text-transform: uppercase;
            cursor: default;
        }

        .role-tag {
            width: 60px;
            height: 22px;
            position: absolute;
            top: 60px;
            z-index: 1;
            color: white;
            border-radius: 10px;
            padding: 10px;
            background: #0b0817;
            display: flex;
            align-items: center;
            justify-content: center;
            cursor: default;
        }

        .role-minus {
            width: 40px;
            height: 40px;
            border-radius: 40px;
            background: #0b0817;
            border: 0;
            margin: 2px;
            color: white;
            font-weight: bold;
            font-size: 20px;
            transition: all .2s;
        }

        .role-minus:hover {
            background: #712121;
        }

        .role-minus:focus {
            outline: none;
        }

        .role-number {
            width: 70px;
            height: 70px;
            border-radius: 70px;
            background: #0b0817;
            border: 0;
            outline: none;
            z-index: 1;
            display: flex;
            align-items: center;
            justify-content: center;
            position: relative;
        }


        .role-number img {
            width: 75%;
        }

        #timer-container {
            width: 80%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            margin-bottom: 10px;
        }

        #title-timer {
            width: 100%;
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
        }

        #formQuick, #formPerso {
            display: none;
        }

        @keyframes float {
            0% {
                transform: translatey(0px);
            }
            50% {

                transform: translatey(-10px);
            }
            100% {
                transform: translatey(0px);
            }
        }

    </style>

{% endblock %}

{% block body %}
    <main id="main-center">
        <div id="form-header">Création de la partie</div>
        <div id="container-page1" data-platformurl="{{ platformUrl }}" data-currentindex="0" data-currenttype="F">
            <div id="left-page1">
                <div id="skin-gender-selector-container">
                    <button id="btn-gender-male" title="Hommes" class="gender-selection">
                        <img id="male" class="gender-nonactive"
                             src="{{ asset('assets/images/form/male.svg') }}"
                             alt="men_symbol"
                             width=16
                        >
                    </button>
                    <button id="btn-gender-female" title="Femmes" class="gender-selection">
                        <img id="female" class="gender-active"
                             src="{{ asset('assets/images/form/female.svg') }}"
                             alt="men_symbol"
                             width=12
                        >
                    </button>
                </div>
                <div id="skin-selector-container">
                    <div id="skin-selector-header">Skin</div>
                    <div id="skin-selector-skin">
                        <div class="skin-selector-switch">
                            <div id="btn-skin-previous" class="skin-circle-selector"><</div>
                        </div>
                        <img id="skin-selector-preview" data-id="6" src="{{ asset('assets/images/skins/Sage.svg') }}" alt="">
                        <div class="skin-selector-switch">
                            <div id="btn-skin-next" class="skin-circle-selector">></div>
                        </div>
                    </div>
                    <div class="button-shop gratuit">Gratuit</div>
                </div>
            </div>
            <div id="right-page1">
                <div id="welcome-title">
                    <h1>Bienvenue</h1>
                    <h2>Change ton skin puis personnalise ta game</h2>
                </div>
                <div id="input-pseudo">
                     <input id="inputPseudo" required autofocus maxlength=14 placeholder="Pseudo" type="text" autocomplete="off" value="{{ user ? user.username : '' }}">
                </div>
                <div id="nav-bar-page1">
                    <div id="nav-bar-bottom">
                        <button id="btn-page1-home" class="nav-bar-button">accueil</button>
                        <button id="btn-page1-next" class="nav-bar-button">Suivant</button>
                    </div>
                </div>
            </div>
        </div>

        <div id="container-page2">
            <div id="page2-title">Type de partie</div>
            <div id="page2-undertitle">Choisis un mode et lance la game</div>
            <div id="page2-button-container">
                <div class="button-game-type perso">
                    <div class="page2-button-title">Personalisée</div>
                    <div id="btn-page2-perso" class="button-game-desc editgame">Un mot par tour maximum ! <br> Vous
                        pouvez régler le
                        nombre d'Undercovers et ajouter un Mr.White.
                    </div>
                </div>
                <div class="button-game-type rapide">
                    <div class="page2-button-title">Rapide</div>
                    <div id="btn-page2-quick" class="button-game-desc quick">Nos espions configurent la game !<br>
                        Choisissez simplement
                        le nombre de mots par tour. Que le meilleur gagne !
                    </div>
                </div>
            </div>
        </div>

        <div id="container-page3">
            <div id="left-page3">
                <div id="container-old-word">
                    <div id="titlepopup">Mots Précédents</div>
                    <div id="oldword">
                        <p><span class="tourtitle">Tour 8 :</span> Esquimaux</p>
                        <p><span class="tourtitle">Tour 7 :</span> Suède</p>
                        <p><span class="tourtitle">Tour 6 :</span> Nord</p>
                        <p><span class="tourtitle">Tour 5 :</span> Neige</p>
                        <p><span class="tourtitle">Tour 4 :</span> Poisson</p>
                        <p><span class="tourtitle">Tour 3 :</span> Fête de noël</p>
                        <p><span class="tourtitle">Tour 2 :</span> Pêcher</p>
                        <p><span class="tourtitle">Tour 1 :</span> Plat</p>
                    </div>
                </div>
                <div id="skin-face-old-world">
                    <img id="imgContainer3" src="{{ asset('assets/images/skins/Sage.svg') }}"/>
                    <div id="shadow-white"></div>
                </div>
            </div>
            <div id="right-page3">
                <div id="container-logo-page3"><img src="{{ asset('assets/images/form/white.svg') }}" alt="mrwhite"/>
                </div>
                <div id="nb-mots-title">Choisissez le nombre de mots par tour<p>Vous aller devoir ecrire <b
                                id="nb-word">2</b> <b>mots</b> par personnes avant de passer aux votes.</p></div>
                <input id="inputRangePage3" type="range" class="range-tours" min="1" max="8" step="1" value="2">
                <div id="nav-bar-bottom3">
                    <button id="btn-page3-previous" class="nav-bar-button">Précedent</button>
                    <button type="submit" onsubmit="preventEnterKey()" id="btn-page3-create" class="nav-bar-button">
                        Créer
                    </button>
                </div>
            </div>
        </div>

        <div id="container-page4">
            <div id="page4-numbermax-container">
                <div id="page4-numbermax-rolmax">
                    <img id="imgContainer4" src="{{ asset('assets/images/skins/Sage.svg') }}"/>
                    <div id="shadow-black"></div>
                </div>
                <div id="page4-numbermax-rolmax-title"><span id="totalPlayer">8</span>&nbsp;&nbsp;Joueurs</div>
            </div>
            <div id="page4-container-role">
                <div class="page4-role">
                    <div class="page4-role-container-pretab">Mr.White</div>
                    <div class="page4-role-container-tab">
                        <button id="mrWhiteMin" class="role-minus">-</button>
                        <div class="role-number">
                            <div id="mrWhiteValue" class="role-tag">0</div>
                            <img src="{{ asset('assets/images/form/white.svg') }}"/></div>
                        <button id="mrWhitePlus" class="role-minus">+</button>
                    </div>
                </div>

                <div class="page4-role">
                    <div class="page4-role-container-pretab">Undercover</div>
                    <div class="page4-role-container-tab">
                        <button id="underCoverMin" class="role-minus">-</button>
                        <div class="role-number">
                            <div id="undercoverValue" class="role-tag">1</div>
                            <img src="{{ asset('assets/images/form/undercover.svg') }}"/></div>
                        <button id="underCoverPlus" class="role-minus">+</button>
                    </div>
                </div>
                <div class="page4-role">
                    <div class="page4-role-container-pretab">Civils</div>
                    <div class="page4-role-container-tab">
                        <button id="civilMin" class="role-minus">-</button>
                        <div class="role-number">
                            <div id="civilValue" class="role-tag">4</div>
                            <img src="{{ asset('assets/images/form/civils.svg') }}"/></div>
                        <button id="civilPlus" class="role-minus">+</button>
                    </div>
                </div>
            </div>
            <div id="timer-container">
                <div style="width:100%">
                    <input id="inputRangePage4" type="range" value="30" class="range-tours" min="10" max="120" step="5">
                </div>
                <div id="title-timer"><p style="margin: 0"><b id="secondes">30</b> secondes par tour</p></div>
            </div>
            <div id="nav-bar-bottom4">
                <button id="btn-page4-previous" class="nav-bar-button">Precedent</button>
                <button id="btn-page4-create" class="nav-bar-button">Creer</button>
            </div>
        </div>
    </main>
    {{ form_start(formQuick, {"attr": {"id": "formQuick"}}) }}
        <input id="formQuickUsername" type="hidden" name="formQuickUsername">
        <input id="formQuickSkinId" type="hidden" name="formQuickSkinId">
    {{ form_end(formQuick) }}

{#    {{ form_start(formPerso, {"attr": {"id": "formQuick"}}) }}#}
{#        <input id="formPersoUsername" type="hidden" name="formQuickUsername">#}
{#        <input id="formPersoSkinId" type="hidden" name="formPersoSkinId">#}
{#    {{ form_end(formPerso) }}#}

{% endblock %}

{% block javascripts %}

    <script>
        const containerPage1 = document.getElementById('container-page1');
        const containerPage2 = document.getElementById('container-page2');
        const containerPage3 = document.getElementById('container-page3');
        const containerPage4 = document.getElementById('container-page4');

        const btnPage1Home = document.getElementById('btn-page1-home');
        const btnPage1Next = document.getElementById('btn-page1-next');
        btnPage1Home.addEventListener('click', () => onPressedBtnPage1Home());
        btnPage1Next.addEventListener('click', () => onPressedBtnPage1Next());

        const btnPage2Perso = document.getElementById('btn-page2-perso');
        const btnPage2Quick = document.getElementById('btn-page2-quick');
        btnPage2Perso.addEventListener('click', () => onPressedBtnPage2Perso());
        btnPage2Quick.addEventListener('click', () => onPressedBtnPage2Quick());

        const btnPage3Previous = document.getElementById('btn-page3-previous');
        const btnPage3Create = document.getElementById('btn-page3-create');
        btnPage3Previous.addEventListener('click', () => onPressedBtnPage3Previous());
        btnPage3Create.addEventListener('click', () => onPressedBtnPage3Create());

        const btnPage4Previous = document.getElementById('btn-page4-previous');
        const btnPage4Create = document.getElementById('btn-page4-create');
        btnPage4Previous.addEventListener('click', () => onPressedBtnPage4Previous());
        btnPage4Create.addEventListener('click', () => onPressedBtnPage4Create());

        const platformUrl = containerPage1.dataset.platformurl;

        const btnGenderMale = document.getElementById('btn-gender-male');
        const imgMale = document.getElementById('male');
        btnGenderMale.addEventListener('click', (e) => {
            e.preventDefault();
            imgFemale.classList.remove('gender-active');
            imgFemale.classList.add('gender-nonactive');
            imgMale.classList.remove('gender-nonactive');
            imgMale.classList.add('gender-active');
            containerPage1.dataset.currenttype = 'M';
            containerPage1.dataset.currentindex = '0';
            fetchSkinWithParameters();

        });
        const btnGenderFemale = document.getElementById('btn-gender-female');
        const imgFemale = document.getElementById('female');
        btnGenderFemale.addEventListener('click', (e) => {
            e.preventDefault();
            imgMale.classList.remove('gender-active');
            imgMale.classList.add('gender-nonactive');
            imgFemale.classList.remove('gender-nonactive');
            imgFemale.classList.add('gender-active');
            containerPage1.dataset.currenttype = 'F';
            containerPage1.dataset.currentindex = '0';
            fetchSkinWithParameters();
        });

        let totalSkin = 0;
        const btnSkinPrevious = document.getElementById('btn-skin-previous');
        btnSkinPrevious.addEventListener("click", (e) => {
            e.preventDefault();
            let currentIndex = containerPage1.dataset.currentindex;
            currentIndex--;
            if (parseInt(currentIndex) === -1) {
                currentIndex = totalSkin - 1;
            }
            containerPage1.dataset.currentindex = currentIndex;
            fetchSkinWithParameters();
        })
        const btnSkinNext = document.getElementById('btn-skin-next');
        btnSkinNext.addEventListener("click", (e) => {
            e.preventDefault();
            let currentIndex = containerPage1.dataset.currentindex;
            currentIndex++;
            if (parseInt(currentIndex) > totalSkin - 1) {
                currentIndex = 0;
            }
            containerPage1.dataset.currentindex = currentIndex;
            fetchSkinWithParameters();
        })
        const skinSelectorPreview = document.getElementById('skin-selector-preview');

        //CONTAINER 1
        const onPressedBtnPage1Home = () => {
            window.location.href = "https://undercovergame.fr/";
        }

        inputPseudo = document.getElementById("inputPseudo");
        const onPressedBtnPage1Next = () => {
            if (!inputPseudo.value) {
                inputPseudo.style.boxShadow = "inset 0px 0px 0px 4px #EF5350";
            } else {
                containerPage1.style.display = 'none';
                containerPage2.style.display = 'flex';
                setTimeout(function () {
                    btnPage2Quick.classList.remove('quick');
                    btnPage2Quick.style.background = "20px center url('https://cdn.discordapp.com/attachments/775414438924779570/776214095191998494/eclaire-main.gif') no-repeat";
                    btnPage2Quick.style.backgroundSize = '100px';
                    btnPage2Quick.style.backgroundPosition = 'center 20px';
                }, 2000);
                setTimeout(function () {
                    btnPage2Perso.classList.remove('editgame');
                    btnPage2Perso.style.background = "url('https://cdn.discordapp.com/attachments/775414438924779570/776214143421906964/tete-main.gif') no-repeat";
                    btnPage2Perso.style.backgroundSize = '100px';
                    btnPage2Perso.style.backgroundPosition = 'center 20px';
                }, 1100);
            }
        }

        fetch(platformUrl + '/api/skins', {
            headers: {
                'Accept': 'application/json, text/plain, */*',
                'Content-Type': 'application/json'
            },
            method: "POST",
            body: JSON.stringify({
                currentIndex: '1',
                type: 'M',
            })
        }).then((res) => {
            return res.json();
        }).then((data) => {
            totalSkin = data.data.totalSkin;
        });


        const imgContainer3 = document.getElementById('imgContainer3');
        const imgContainer4 = document.getElementById('imgContainer4');
        const fetchSkinWithParameters = () => {
            fetch(platformUrl + '/api/skins', {
                headers: {
                    'Accept': 'application/json, text/plain, */*',
                    'Content-Type': 'application/json'
                },
                method: "POST",
                body: JSON.stringify({
                    currentIndex: containerPage1.dataset.currentindex,
                    type: containerPage1.dataset.currenttype,
                })
            }).then((res) => {
                return res.json();
            }).then((data) => {
                name = data.data.name;
                totalSkin = data.data.totalSkin;
                id = data.data.id;

                skinSelectorPreview.dataset.id = id.toString();
                skinSelectorPreview.setAttribute('src', '/assets/images/skins/' + name);
                imgContainer3.setAttribute('src', '/assets/images/skins/' + name);
                imgContainer4.setAttribute('src', '/assets/images/skins/' + name);
            });
        }

        //CONTAINER 2
        const onPressedBtnPage2Perso = () => {
            containerPage2.style.display = 'none';
            containerPage4.style.display = 'flex';
        }

        const onPressedBtnPage2Quick = () => {
            containerPage2.style.display = 'none';
            containerPage3.style.display = 'flex';
        }

        //CONTAINER 3
        const onPressedBtnPage3Previous = () => {
            containerPage3.style.display = 'none';
            containerPage2.style.display = 'flex';
        }

        const formQuick = document.getElementById('formQuick');
        const onPressedBtnPage3Create = () => {
            const formQuickUsername = document.getElementById('formQuickUsername');
            const formQuickSkinId = document.getElementById('formQuickSkinId');
            formQuickUsername.value = inputPseudo.value;
            formQuickSkinId.value = skinSelectorPreview.dataset.id;
            formQuick.submit();
        }

        const nbWords = document.getElementById('nb-word');
        const inputRangePage3 = document.getElementById('inputRangePage3');
        inputRangePage3.addEventListener('input', () => {
            nbWords.innerText = inputRangePage3.value
        });

        //CONTAINER 4
        const onPressedBtnPage4Previous = () => {
            containerPage4.style.display = 'none';
            containerPage2.style.display = 'flex';
        }

        const formPerso = document.getElementById('formPerso');
        const onPressedBtnPage4Create = () => {
            const formPersoUsername = document.getElementById('formPersoUsername');
            const formPersoSkinId = document.getElementById('formPersoSkinId');
            formPersoUsername.value = inputPseudo.value;
            formPerso.submit();
        }

        const mrWhiteValueHtml = document.getElementById('mrWhiteValue');
        const undercoverValueHtml = document.getElementById('undercoverValue');
        const civilValueHtml = document.getElementById('civilValue');
        const totalPlayerHtml = document.getElementById('totalPlayer');


        let mrWhiteValue = parseInt(mrWhiteValueHtml.textContent);
        let undercoverValue = parseInt(undercoverValueHtml.textContent);
        let civilValue = parseInt(civilValueHtml.textContent);
        let totalPlayer = parseInt(civilValueHtml.textContent);


        const mrWhiteMin = document.getElementById('mrWhiteMin');
        mrWhiteMin.addEventListener('click', () => {
            mrWhiteValue = parseInt(mrWhiteValueHtml.textContent);
            mrWhiteValue--;
            check()
        });

        const mrWhitePlus = document.getElementById('mrWhitePlus');
        mrWhitePlus.addEventListener('click', () => {
            mrWhiteValue = parseInt(mrWhiteValueHtml.textContent);
            mrWhiteValue++;
            check()
        });

        const underCoverMin = document.getElementById('underCoverMin');
        underCoverMin.addEventListener('click', () => {
            undercoverValue = parseInt(undercoverValueHtml.textContent);
            undercoverValue--;
            check()
        });

        const underCoverPlus = document.getElementById('underCoverPlus');
        underCoverPlus.addEventListener('click', () => {
            undercoverValue = parseInt(undercoverValueHtml.textContent);
            undercoverValue++;
            check()
            if (undercoverValue === civilValue && (undercoverValue - 1) < civilValue) {
                undercoverValueHtml.innerText = undercoverValue.toString();
                civilValueHtml.innerText = (civilValue + 1).toString();
                civilValue++;
            }
        });

        const civilMin = document.getElementById('civilMin');
        civilMin.addEventListener('click', () => {
            civilValue = parseInt(civilValueHtml.textContent);
            civilValue--;
            check()
            if (civilValue === undercoverValue && (civilValue + 1) > undercoverValue) {
                civilValueHtml.innerText = civilValue.toString();
                undercoverValueHtml.innerText = (undercoverValue - 1).toString();
                undercoverValue--;
            }
        });

        const civilPlus = document.getElementById('civilPlus');
        civilPlus.addEventListener('click', () => {
            civilValue = parseInt(civilValueHtml.textContent);
            civilValue++;
            check()
        });

        const check = () => {

            let error = false;

            console.log(mrWhiteValue, undercoverValue, civilValue);

            if (mrWhiteValue < 0 || mrWhiteValue > 1) {
                mrWhiteValue = parseInt(mrWhiteValueHtml.textContent);
                error = true;
            } else {
                mrWhiteValueHtml.innerText = mrWhiteValue.toString();
            }


            if (undercoverValue < 0 || undercoverValue > 3) {
                undercoverValue = parseInt(undercoverValueHtml.textContent);
                error = true;
            } else {
                undercoverValueHtml.innerText = undercoverValue.toString();
            }

            if (civilValue < 3 || civilValue > 7) {
                civilValue = parseInt(civilValueHtml.textContent);
                error = true;
            } else {
                civilValueHtml.innerText = civilValue.toString();
            }

            if ((mrWhiteValue + undercoverValue + civilValue) > 8) {

            }

            if (error) {
                totalPlayer = parseInt(totalPlayerHtml.textContent);
                console.log('error true');
            } else {
                totalPlayer  = mrWhiteValue + undercoverValue + civilValue;
                totalPlayerHtml.innerText = totalPlayer.toString();
                console.log('error false');
            }

        }


        const nbSecondes = document.getElementById('secondes');
        const inputRangePage4 = document.getElementById('inputRangePage4');
        inputRangePage4.addEventListener('input', () => {
            nbSecondes.innerText = inputRangePage4.value
        });

    </script>

{% endblock %}